Bug 111340 - cropped image aspect ratio (jpeg, eps, at least) fails on saving and re-opening .odp file and on export to PDF.
Summary: cropped image aspect ratio (jpeg, eps, at least) fails on saving and re-openi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.3.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2017-08-04 13:54 UTC by Eric M
Modified: 2019-12-10 04:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Image file (72.36 KB, image/jpeg)
2017-08-04 13:54 UTC, Eric M
Details
odp file containing image and cropped image (86.32 KB, application/vnd.oasis.opendocument.presentation)
2017-08-04 13:55 UTC, Eric M
Details
pdf export of odp file (84.36 KB, application/pdf)
2017-08-04 13:56 UTC, Eric M
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric M 2017-08-04 13:54:38 UTC
Created attachment 135124 [details]
Image file

There is some issue with cropped image aspect ratios. It shows up (not every time) when slides are saved as .odp  and re-opened with Impress. Also exporting the slides to PDF shows the issue almost all of the time.

If the image is cropped *within* Impress, then the aspect ratio is no longer represented correctly in the exported PDF or (only sometimes) in the saved .odp file. To work around this issue I have been cropping all images outside of Impress before importing.

I marked this bug as "major" and "high" because it's been around a while and this issue makes using Impress very tedious. Frustratingly, it doesn't happen 100% of the time, and I'm having trouble finding a perfectly reproducible example for you.

The attachments are:
1. jpeg file of image to be imported.
2. .odp presentation with the image and cropped image.
3. PDF export of the slides.

If you open the .odp file you may or may not see a mangled aspect ratio of the cropped image. This happens frequently for me, but not all the time. The slide sorter and slide panel will often show the mangled aspect ratio. You will probably see the mangled aspect ratios there, but perhaps not in the slide itself. I don't know if this is a related issue.

If I saved the .odp file on a laptop running fedora 26 and LO 5.3.4.2. If I open the file on a desktop also running fedora 26 and LO 5.3.4.2 it shows the mangled aspect ratio in the slide view itself in Impress. Nonetheless, even on the same machine, I can have problems saving and reopening in Impress and exporting to PDF.

Please let me know if I can provide more information.
Comment 1 Eric M 2017-08-04 13:55:50 UTC
Created attachment 135125 [details]
odp file containing image and cropped image

odp file containing image and cropped image
Comment 2 Eric M 2017-08-04 13:56:27 UTC
Created attachment 135126 [details]
pdf export of odp file

pdf export of odp file
Comment 3 Buovjaga 2017-08-26 16:11:23 UTC
I could reproduce by adding attachment 135124 [details] to a new presentation, cropping it and exporting to PDF.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 3c49b28ffa7ab062726e5e600312d9164224404e
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 26th 2017
Comment 4 Eric M 2018-02-18 00:03:56 UTC
I have posted a possible workaround in new bug report 115808

https://bugs.documentfoundation.org/show_bug.cgi?id=115808
Comment 5 QA Administrators 2019-12-10 04:06:54 UTC
Dear Eric M,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug